﻿using Ems.CollectService.Entity.config;
using Ems.CollectService.Redis;
using Ems.CollectService.SqlSugarCore;
using Ems.CollectService.Timer;
using Ems.CollectService.TouchSocket;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Hosting;
using Microsoft.IdentityModel.Logging;
using Newtonsoft.Json;
using NLog;
using NLog.Web;
using SqlSugar;
using StackExchange.Redis;
using System;
using System.Collections.Generic;
using System.IO;
using System.Reflection.Metadata;
using System.Threading.Tasks;

namespace Ems.CollectService
{
    internal class Program
    {
        private static Logger logger = LogManager.GetCurrentClassLogger();

        private static TcpServer service = TcpServer.Instance;

        private static AppConfig appConfig = AppConfig.Instance;

        private static DeleteLogFile deleteLogFile = DeleteLogFile.Instance;


        static void Main(string[] args)
        {
            try
            {
                service.Init(appConfig.listenerPort);
                //定时删除日志文件夹
                deleteLogFile.DeleteLogFileTimer();
            }
            catch (Exception ex)
            {
                logger.Error($"服务启动异常{ex.Message}");
            }
            //Console.ReadLine();

            while (true)
            {
                Task.Delay(1000 * 10).Wait();
            }
        }

        

        
    }
}
